cordova.define("cordova-plugin-solocode.SolocodePlugin", function(require, exports, module) {
var exec = require('cordova/exec');

var SolocodePlugin = {};

exec(
  function(time){
    SolocodePlugin.engineStartTime = time;
  },
  function(error){
    SolocodePlugin.engineStartTime = error;
  },
  "SolocodePlugin",
  "getEngineStartTime",
  []
);

SolocodePlugin.getMuteSwitchEnabled = function (resultCallback) {
  exec(
    function(enabled){
      resultCallback && resultCallback(enabled);
    },
    function(error){
      resultCallback && resultCallback(undefined);
    },
    "SolocodePlugin",
    "getMuteSwitchEnabled",
    []
  );
};

SolocodePlugin.getVolume = function (resultCallback) {
  exec(
    function(volume){
      resultCallback && resultCallback(volume);
    },
    function(error){
      resultCallback && resultCallback(undefined);
    },
    "SolocodePlugin",
    "getVolume",
    []
  );
};

SolocodePlugin.clearCrosswalkCache = function(resultCallback) {
  exec(
    function(){
      resultCallback && resultCallback();
    },
    function(error){
      resultCallback && resultCallback(error);
    },
    "SolocodePlugin",
    "clearCrosswalkCache",
    []
  );
}

SolocodePlugin.listFilesInDirectory = function(path, resultCallback, errorCallback) {
  exec(
    function(result){
      resultCallback && resultCallback(result);
    },
    function(error){
      errorCallback && errorCallback(error);
    },
    "SolocodePlugin",
    "listFilesInDirectory",
    [path]
  );
};

SolocodePlugin.removeDirectory = function(path, resultCallback, errorCallback) {
  exec(
    function(result){
      resultCallback && resultCallback(result);
    },
    function(error){
      errorCallback && errorCallback(error);
    },
    "SolocodePlugin",
    "removeDirectory",
    [path]
  );
};

SolocodePlugin.sizeOfFileAtPath = function(path, resultCallback, errorCallback) {
  exec(
    function(result){
      resultCallback && resultCallback(result);
    },
    function(error){
      errorCallback && errorCallback(error);
    },
    "SolocodePlugin",
    "sizeOfFileAtPath",
    [path]
  );
};

module.exports = SolocodePlugin;

});
